/****************************************************************************************


		MCUITextStyle.h


		Copyright: (c) 2001 Eovia Corp. All rights reserved.


		Author:	Greg
		Date:	3/25/99

		Revision History

		when		who			what & why
		==========	==========	======================================================

*****************************************************************************************/

#if CP_PRAGMA_ONCE
#pragma once
#endif

#ifndef __MCUITEXTSTYLE__
#define __MCUITEXTSTYLE__

enum ETextStyle
{
	kUseTextStyle				= -1,
	kUIFont_VerySmall,
	kUIFont_Small,
	kUIFont_Medium,
	//kUIFont_MediumLarge defined below (added afterwards)
	kUIFont_Large,
	kUIFont_VeryLarge,
	kUIFont_VerySmallAlternate,
	kUIFont_SmallAlternate,
	kUIFont_MediumAlternate,
	//kUIFont_MediumLargeAlternate defined below
	kUIFont_LargeAlternate,
	kUIFont_VeryLargeAlternate,
	kUIFont_MediumLarge,
	kUIFont_MediumLargeAlternate,
	kTotalUIFonts
};

enum EUIFontClass
{
	kUIFont						= 0,
	kUIAlternateFont
};

enum MCTextMode
{
	kTMNone						= 0x00,
	kTMEraseFirst				= 0x01,
	kTMDoNotWrap				= 0x02,
	kTMCenterVert				= 0x04,
	kTMTranslateMetaChar		= 0x08,
	kTMVerticalOrientationUp	= 0x10,
	kTMVerticalOrientationDown	= 0x20
};

enum MCTextJustification
{
	kJustLeft					= 0x01,
	kJustCenter					= 0x02,
	kJustRight					= 0x04,
	kJustDefault				= 0x08,
	kMiddleCut					= 0x10,
	kEndCut						= 0x20,
	kBeginCut					= 0x40,

	kInvalidTextJustification	= 0xFFFFFFFF
};

#endif